--- title: "Get scene summary result (Deprecated)" slug: "maiu-get-scene-summary" updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/maiu-get-scene-summary" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get scene summary result (Deprecated) Available in VPC Caution This API is deprecated and is scheduled to be removed in January 2027 (with a 12-month grace period from the transition date). Use the new [Get scene summary result](/docs/en/mi-get-scene-summary-result) API to retrieve the latest scene summary results for an asset. Get the result data for an index where scene summarization has been completed. The response includes index-level scene summary information and summary results for each scene. Note Results can only be retrieved when the scene summary status is `SUMMARIZE_COMPLETED`. An error will be returned if the request is made before the scene summary is complete. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id}/indexes/{index_id}/scene-summaries | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | | `project_id` | String | Required | Project ID - See [Get project list](/docs/en/maiu-list-projects). | | `asset_id` | String | Required | Media asset ID - See [Get media asset list](/docs/en/mi-list-assets). | | `index_id` | String | Required | Index ID - See [Get index list](/docs/en/maiu-list-indexes). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/5678/indexes/1001/scene-summaries' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Scene summary result information | | `result.indexId` | Integer | - | Index ID | | `result.sceneSummaryInfo` | Object | - | Scene summary information - Available only when scene summarization is complete | | `result.sceneSummaryInfo.lastAnalyzedAt` | String | - | Last scene summarization completion date and time - ISO 8601 format | | `result.sceneSummaryInfo.analyzedSceneIds` | Array | - | List of scene IDs included in the last analysis - `null` if it is a full analysis | | `result.sceneSummaries` | Array | - | List of scene-specific summary results: [sceneSummaries](/docs/en/maiu-get-scene-summary#scenesummaries) | #### `sceneSummaries` The following describes `sceneSummaries`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `scene` | Integer | - | Scene number | | `startMs` | Integer | - | Scene start time (millisecond) | | `endMs` | Integer | - | Scene end time (millisecond) | | `sceneSummary` | Object | - | Scene summary information - Available only when the scene has been analyzed | | `sceneSummary.description` | String | - | Scene summary description - Natural language summary of 4-6 sentences. - Key remarks by the speaker are indicated in double quotation marks. - It includes key actions of characters and keywords within the scene. | | `sceneSummary.metadataChangedAfterSummary` | Boolean | - | Whether metadata (character labels, script, etc.) that could affect the scene has changed since the scene summary was generated - For determining whether reanalysis is necessary | | `sceneSummary.analyzedAt` | String | - | Date and time the scene summary for the scene was completed - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "indexId": 1001, "sceneSummaryInfo": { "lastAnalyzedAt": "2026-04-17T10:30:00", "analyzedSceneIds": null }, "sceneSummaries": [ { "scene": 1, "startMs": 1000, "endMs": 3000, "sceneSummary": { "description": "The host greets the camera from Gwanghwamun Square in Seoul and introduces today’s interview topic. The host says, \"Today, we’ll be hearing stories about citizens’ daily lives.\" and heads out onto the street.", "metadataChangedAfterSummary": false, "analyzedAt": "2026-04-17T10:30:00" } } ] } } ```